SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;

SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;

SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL';



CREATE SCHEMA IF NOT EXISTS `felipe` DEFAULT CHARACTER SET utf8 ;

USE `felipe` ;



-- -----------------------------------------------------

-- Table `felipe`.`aluno`

-- -----------------------------------------------------

CREATE  TABLE IF NOT EXISTS `felipe`.`aluno` (

  `aID` INT(11) NOT NULL AUTO_INCREMENT ,

  `aNome` VARCHAR(40) NOT NULL ,

  PRIMARY KEY (`aID`) )

ENGINE = InnoDB

AUTO_INCREMENT = 18

DEFAULT CHARACTER SET = utf8;





-- -----------------------------------------------------

-- Table `felipe`.`disciplina`

-- -----------------------------------------------------

CREATE  TABLE IF NOT EXISTS `felipe`.`disciplina` (

  `dID` INT(11) NOT NULL AUTO_INCREMENT ,

  `dNome` VARCHAR(40) NOT NULL ,

  PRIMARY KEY (`dID`) )

ENGINE = InnoDB

AUTO_INCREMENT = 7

DEFAULT CHARACTER SET = utf8;





-- -----------------------------------------------------

-- Table `felipe`.`professor`

-- -----------------------------------------------------

CREATE  TABLE IF NOT EXISTS `felipe`.`professor` (

  `pID` INT(11) NOT NULL AUTO_INCREMENT ,

  `pNome` VARCHAR(40) NOT NULL ,

  `pSenha` VARCHAR(10) NOT NULL ,

  `pPermissao` INT(11) NOT NULL ,

  PRIMARY KEY (`pID`) )

ENGINE = InnoDB

AUTO_INCREMENT = 18

DEFAULT CHARACTER SET = utf8;





-- -----------------------------------------------------

-- Table `felipe`.`turma`

-- -----------------------------------------------------

CREATE  TABLE IF NOT EXISTS `felipe`.`turma` (

  `tID` INT(11) NOT NULL AUTO_INCREMENT ,

  `dID` INT(11) NOT NULL ,

  `pID` INT(11) NOT NULL ,

  PRIMARY KEY (`tID`) ,

  INDEX `dID` (`dID` ASC) ,

  INDEX `pID` (`pID` ASC) ,

  CONSTRAINT `dID`

    FOREIGN KEY (`dID` )

    REFERENCES `felipe`.`disciplina` (`dID` )

    ON DELETE CASCADE

    ON UPDATE NO ACTION,

  CONSTRAINT `pID`

    FOREIGN KEY (`pID` )

    REFERENCES `felipe`.`professor` (`pID` )

    ON DELETE CASCADE

    ON UPDATE NO ACTION)

ENGINE = InnoDB

AUTO_INCREMENT = 26

DEFAULT CHARACTER SET = utf8;





-- -----------------------------------------------------

-- Table `felipe`.`matricula`

-- -----------------------------------------------------

CREATE  TABLE IF NOT EXISTS `felipe`.`matricula` (

  `mID` INT(11) NOT NULL AUTO_INCREMENT ,

  `tID` INT(11) NOT NULL ,

  `aID` INT(11) NOT NULL ,

  PRIMARY KEY (`mID`) ,

  INDEX `tID` (`tID` ASC) ,

  INDEX `aID` (`aID` ASC) ,

  CONSTRAINT `aID`

    FOREIGN KEY (`aID` )

    REFERENCES `felipe`.`aluno` (`aID` )

    ON DELETE CASCADE

    ON UPDATE NO ACTION,

  CONSTRAINT `tID`

    FOREIGN KEY (`tID` )

    REFERENCES `felipe`.`turma` (`tID` )

    ON DELETE CASCADE

    ON UPDATE NO ACTION)

ENGINE = InnoDB

AUTO_INCREMENT = 32

DEFAULT CHARACTER SET = utf8;





-- -----------------------------------------------------

-- Table `felipe`.`falta`

-- -----------------------------------------------------

CREATE  TABLE IF NOT EXISTS `felipe`.`falta` (

  `fID` INT(11) NOT NULL AUTO_INCREMENT ,

  `mID` INT(11) NOT NULL ,

  `fData` DATE NOT NULL ,

  `fNumeroDeFaltas` INT(11) NOT NULL ,

  PRIMARY KEY (`fID`) ,

  INDEX `mID` (`mID` ASC) ,

  CONSTRAINT `mID`

    FOREIGN KEY (`mID` )

    REFERENCES `felipe`.`matricula` (`mID` )

    ON DELETE CASCADE

    ON UPDATE NO ACTION)

ENGINE = InnoDB

AUTO_INCREMENT = 14

DEFAULT CHARACTER SET = utf8;







SET SQL_MODE=@OLD_SQL_MODE;

SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;

SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;

